#! /bin/sh

WIKIDIR=$1
TARGETS="backup config data lib plugin theme tmpl setup.dat setup.sh wiki.cgi"

convert_to_utf8() {
	FILE=$1
	echo Converting ${FILE}...
	mv ${FILE} ${FILE}.old
	iconv -f EUC-JP -t UTF-8 -o ${FILE} ${FILE}.old
	rm ${FILE}.old
}

if [ "${WIKIDIR}" != "" ]; then
	cd ${WIKIDIR} || exit
fi

for F in `find ${TARGETS} -type f -not \( -name "*.gif" -or -name "*.jpg" -or -name "*.png" \)`; do
	convert_to_utf8 "${F}"
done

